"""
testsquare.py
Tester program for the square and randomColor functions.
"""

from turtle import *
from random import randint

def square(length):
    """Draws a square with the given length."""
    for count in range(4):
        forward(length)
        left(90)

def randomColor():
    """Returns a random RGB color."""
    return (randint(0, 255), randint(0, 255), randint(0, 255))

def main():
    """Draws a radial pattern with 10 randomly colored squares."""
    speed(0)
    pensize(2)
    colormode(255)
    hideturtle()
    for count in range(10):
        pencolor(randomColor())
        square(70)
        left(36)
    return "Done!"

if __name__ == "__main__":
    msg = main()
    print(msg)
    mainloop()

