"""
drawpolygon1.py
Draw polygons with a left click.
"""

from turtle import *

properties = {"length":30, "numSides":4, "color":"black"}

def regularPolygon(length, numSides):
    """Draws a reguler polygon.
    Arguments: the length and number of sides."""
    interiorAngle = 360 / numSides
    for count in range(numSides):
        forward(length)
        left(interiorAngle)

def moveAndDraw(x, y):
    """Draws a polygon with the current properties at
    position (x, y)."""
    skip(x, y)
    pencolor(properties["color"])
    regularPolygon(properties["length"], properties["numSides"])

def skip(x, y):
    "Moves the pen to the given location without drawing."
    up()
    goto(x, y)
    down()

def main():
    colormode(255)
    width(2)
    speed(0)
    hideturtle()
    onscreenclick(moveAndDraw)
    listen()
    return "Done!"

if __name__ == "__main__":
    msg = main()
    print(msg)
    mainloop()

