"""
drawpolygon2.py
Draw polygons with a left click.
A right click allows the user to change the polygon's properties.
"""

from turtle import *

properties = {"length":30, "numSides":4, "color":"black"}

def regularPolygon(length, numSides):
    """Draws a reguler polygon.
    Arguments: the length and number of sides."""
    interiorAngle = 360 / numSides
    for count in range(numSides):
        forward(length)
        left(interiorAngle)

def skip(x, y):
    "Moves the pen to the given location without drawing."
    up()
    goto(x, y)
    down()

def moveAndDraw(x, y):
    """Draws a polygon with the current properties at
    position (x, y)."""
    skip(x, y)
    pencolor(properties["color"])
    regularPolygon(properties["length"], properties["numSides"])

def changeProperties(x, y):
    """Obtains new values for the polygon's properties from
    the user and resets them in the properties dictionary."""
    length = numinput("Input Dialog", "Enter the length",
                      default = properties["length"], minval = 1)
    if length:
        properties["length"] = int(length)
    numSides = numinput("Input Dialog", "Enter the number of sides",
                        default = properties["numSides"], minval = 3)
    if numSides:
        properties["numSides"] = int(numSides)
    color = textinput("Input Dialog", "Enter the color")
    if color:
        properties["color"] = color
    
def main():
    width(2)
    speed(0)
    hideturtle()
    onscreenclick(moveAndDraw)
    onscreenclick(changeProperties, btn = 2)    
    listen()
    return "Done!"

if __name__ == "__main__":
    msg = main()
    print(msg)
    mainloop()

