"""
triangle.py

Draws triangles with 3 mouse clicks.
"""

from turtle import *

positionHistory = []

def setVertex(x, y):
    """Draws a side between mouse clicks."""
    if len(positionHistory) == 0:              # The first click skips
        positionHistory.append((x, y))         # to the first vertex
        skip(x, y)
    elif len(positionHistory) == 1:            # The second click connects 
        positionHistory.append((x, y))         # two vertices
        goto(x, y)
    else:
        (xCoord, yCoord) = positionHistory.pop()    # The third click
        skip(xCoord, yCoord)                        # connects the remaining 
        goto(x, y)                                  # vertices
        (xCoord, yCoord) = positionHistory.pop()  
        goto(xCoord, yCoord)                    
        
def skip(x, y):
    "Moves the pen to the given location without drawing."
    up()
    goto(x, y)
    down()

def main():
    shape("circle")
    width(2)
    speed(0)
    pencolor("blue")
    onscreenclick(setVertex)
    listen()
    return "Done!"

if __name__ == '__main__':
    msg = main()
    print(msg)
    mainloop()


