"""
Program file: ccurve.py

This program prompts the user for the level of
a c-curve and draws a c-curve of that level.
"""

from turtle import *

def drawLine(x1, y1, x2, y2):
    """Draws a line segment between the endpoints."""
    up()
    goto(x1, y1)
    down()
    goto(x2, y2)

def cCurve(x1, y1, x2, y2, level):
    """Draws a c-curve with the given starting line segment
    and level."""
    if level == 0:
        drawLine(x1, y1, x2, y2)
    else:
        xm = (x1 + x2 + y1 - y2) // 2
        ym = (x2 + y1 + y2 - x1) // 2
        cCurve(x1, y1, xm, ym, level - 1)
        cCurve(xm, ym, x2, y2, level - 1)

def main():
    # Obtain the level and size from the user.
    level = numinput("Input Dialog", "Enter the level",
                      default = 0, minval = 0)
    if not level:
        level = 0
    size = numinput("Input Dialog", "Enter the size",
                     default = 100, minval = 100)
    if not size:
        size = 100
    size = size / 2
    hideturtle()
    speed(0)
    
    # Delay drawing if level is greater than 8.
    if level > 8:        
        tracer(False)
    cCurve(size, -size, size, size, level)
    # Draw now if level is greater than 8.
    if level > 8:        
        update()

if __name__ == "__main__":
    main()
