"""
File: recursion2.py
Define and test a recursive summation function.
Includes tracing.
"""

import sys

def summation(low, high, margin = 0):
    """Returns the summation of the integers
    from low to high. Prints a trace of low,
    high, and the value returned for each call,
    using the given margin.
    Precondition: low <= high."""
    blanks = " " * margin
    print(blanks, low, high)
    if low == high:
        print(blanks, high)
        return high
    else:
        result = low + summation(low + 1, high, margin + 4)
        print(blanks, result)
        return result

def main(low = 1, high = 4):
    if len(sys.argv) == 3:
        low = int(sys.argv[1])
        high = int(sys.argv[2])
    print("The summation of", low, "and", high,
          "is", summation(low, high))

if __name__ == "__main__":
    main()
