"""
File: menuitem.py
Defines a class for menu items.
"""

from turtle import Turtle

class MenuItem(Turtle):
    """Represents a menu item."""

    def __init__(self, x, y, shape, color, callBack):
        """Sets the initial state of a menu item."""
        Turtle.__init__(self, shape = shape, visible = False)
        self.speed(0)
        self.up()
        self.goto(x, y)
        self.color(color, color)
        self._callBack = callBack
        # Pass my color to the callback function when I'm clicked
        self.onclick(lambda x, y: self._callBack(color))
        self.showturtle()
