"""
testmenuitem.py
A simple tester program for menu items.
"""

from turtle import *
from menuitem import MenuItem

def changeColor(c):
    """Changes the system turtle's color to c."""
    color(c)

def createMenu(callBack):
    """Displays 6 menu items to respond to the given callback function."""
    x = - (window_width() / 2) + 30
    y = 100
    colors = ("red", "green", "blue", "yellow", "black", "purple")
    shape = "circle"
    for color in colors:
        MenuItem(x, y, shape, color, callBack)
        y -= 30
        
def main():
    """Creates a menu for selecting colors."""
    reset()
    shape("turtle")
    createMenu(changeColor)
    return "Done!"

if __name__ == '__main__':
    msg = main()
    print(msg)
    mainloop()


