"""
File: tictactoesquare.py
Defines the TicTacToeSquare class.
"""

from turtle import Turtle

class TicTacToeSquare(Turtle):
    """Represents a Tic-Tac-Toe square."""

    FONT = ("Arial", 16, "bold")

    def __init__(self, index, grid, length, xPos, yPos,
                 outlineColor = "black", fillColor = "white", text = ""):
        """Sets the initial state of the Tic-Tac-Toe square."""
        Turtle.__init__(self, shape = "square", visible = False)
        self.speed(0)
        self.color(outlineColor, fillColor)
        self.up()
        self.goto(xPos, yPos)
        self.resizemode("user")
        self.shapesize(length / 20, length / 20)
        self._text = text
        self._index = index
        self._grid = grid
        self.onclick(lambda x, y: self._grid.makeMove(self._index))
        self.showturtle()

    def text(self, newText = None):
        """Getter and setter for text."""
        if not newText is None:
            self._text = newText
            self.write(newText, align = "center",
                       font = TicTacToeSquare.FONT)
        return self._text
